#include <iostream>

using namespace std;

long long s[27],n,mod=1e9+7;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    s[0]=1;
    cin>>n;
    char c;
    for(int i=0;i<n;i++)
    {
        cin>>c;
        int x=c-64;
        s[x]+=s[x-1];
        if(s[x]>=mod)
            s[x]=s[x]%mod;
    }
    cout<<s[26];
    return 0;
}